Bug 205635 - [patch] net-im/twirrsi : remove option for expired irc/irssi-devel
Summary: [patch] net-im/twirrsi : remove option for expired irc/irssi-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-12-26 15:28 UTC by Rene Ladan
Modified: 2016-02-01 10:15 UTC (History)
0 users

See Also:
garga: maintainer-feedback+


Attachments
patch to remove suport for irc/irssi-devel (1.12 KB, patch)
2015-12-26 15:28 UTC, Rene Ladan
no flags Details | Diff
poudriere log for PC-BSD 11.0-amd64 (26.47 KB, text/plain)
2015-12-26 15:31 UTC, Rene Ladan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2015-12-26 15:28:35 UTC
Created attachment 164686 [details]
patch to remove suport for irc/irssi-devel

irc/irssi-devel expired on 2015-12-13 but this port still optionally depends on it.
Remove support for irc/irssi-devel and the associated option definitons because now only irc/irssi is left.

Add NO_ARCH=yes because this port only installs a single Perl file.
Comment 1 Rene Ladan freebsd_committer 2015-12-26 15:31:04 UTC
Created attachment 164687 [details]
poudriere log for PC-BSD 11.0-amd64

Also buids fine on FreeBSD 9.3-i386
Comment 2 Rene Ladan freebsd_committer 2016-01-01 20:29:02 UTC
Independently of this PR, irc/irssi-devel was removed in http://svnweb.freebsd.org/changeset/ports/404988

I figured out that I misspelled the port name in the synopsis, hence automation does not work.
Comment 3 Renato Botelho freebsd_committer 2016-02-01 09:40:15 UTC
Approved.
Comment 4 commit-hook freebsd_committer 2016-02-01 10:06:01 UTC
A commit references this bug:

Author: rene
Date: Mon Feb  1 10:05:05 UTC 2016
New revision: 407692
URL: https://svnweb.freebsd.org/changeset/ports/407692

Log:
  net-im/twirssi: remove option for removed net-im/irssi-devel

  While here, set NO_ARCH as this port only installs a single Perl file.

  PR:		205635
  Submitted by:	rene
  Approved by:	garga (mainainer)

Changes:
  head/net-im/twirssi/Makefile